# $Revision: 1.30 $, $Date: 2004/04/12 12:47:00 $
Summary:	An X Window System falling blocks game
Summary(de):	Spiel mit fallenden Steinen
Summary(fr):	Jeu de blocs qui tombent
Summary(pl):	Gra w spadajce bloki pod X Window System
Summary(tr):	Den bloklar yerletirme oyunu
Name:		xtrojka
Version:	1.2.3
Release:	18
License:	distributable
Group:		X11/Applications/Games
Source0:	ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/%{name}123.tar.gz
# Source0-md5:	58f66c2e59205312af4dcd128a6a4040
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-make.patch
Patch1:		%{name}-errno.patch
Icon:		xtrojka.xpm
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xtrojka game is an X Window System game of falling blocks, like
Xjewel or Tetris.

%description -l de
hnlich wie bei xjewels oder tetris, mssen Sie in diesem Spiel die
Spielflche von fallenden Blcken freihalten.

Eine Variation des schtigmachenden Klassikers.

%description -l fr
Ce jeu est similaire  xjewels ou tetris, il faut supprimer les blocs
qui tombent dans la surface de jeu.

Un variation du jeu classique.

%description -l pl
xtrojka jest gr pod X Window System ze spadajcymi blokami, podobn
do Xjewel albo Tetrisa.

%description -l tr
xjewels ve tetris'e benzer ekilde, den bloklar uygun ekilde
yerletirmeye ynelik bir oyun.

%prep
%setup -q -n xtrojka123
%patch0 -p1
%patch1 -p1

%build
cp -f XTrojka.uk XTrojka
./resgen
%{__make} \
	CFLAGS="%{rpmcflags} -DXPM -DLINUX -DSCOREFILE='\"/var/games/xtrojka.score\"' -L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6,/var/games}

%{__make} install \
	TARGET_DIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man6 \
	HSFILE=$RPM_BUILD_ROOT/var/games/xtrojka.score

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(2755,root,games) %{_bindir}/xtrojka
%attr(0664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/xtrojka.score
%{_mandir}/man6/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xtrojka.spec,v $
Revision 1.30  2004/04/12 12:47:00  qboosh
- updated make patch, added errno patch

Revision 1.29  2004/04/11 22:35:56  qboosh
- switched to vfolders, release 18 for Ac

Revision 1.28  2003/06/23 08:59:45  misi3k
- md5sum

Revision 1.27  2003/05/25 06:28:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.25  2002/05/29 23:12:07  kloczek
- more macros and move desktop file to Games/Arcade/.

Revision 1.24  2002/05/29 21:27:17  ankry
- applnk icon made transparent
- release 17, STBR

Revision 1.23  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/15 22:40:26  qboosh
- release 16: marked score file with noreplace and verify tags

Revision 1.20  2002/01/18 02:15:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/10 16:45:32  jajcus
- s/Distibutable/distributable/ in License

Revision 1.18  2001/10/31 23:48:52  qboosh
- moved score file from /var/lib/games to /var/games (acc. to FHS 2.1 and 2.2)
- pl translations
- release 15

Revision 1.17  2001/06/16 19:14:14  kloczek
- release 14.

Revision 1.16  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.15  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.14  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/12/13 18:12:41  kloczek
- release 13,
- use new rpm automation,
- new pixmap icon.

Revision 1.11  2000/12/11 12:31:54  qboosh
- fix score file name in build section
- root.games score file, sgid games executable

Revision 1.10  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.9  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.7  2000/05/03 23:43:25  kloczek
- added BuildRequires rules.

Revision 1.6  2000/05/03 23:01:44  kloczek
- release 10,
- added de, fr, tr translations from Bero Linux spec file,
- wmconfig file replaced by desktop,
- spec adapterized,
- added package icon,
- Group changed to X11/Games.

Revision 1.5  2000/04/25 16:16:49  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:28  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
